curl --request PUT \
--url https://api.runaether.dev/v1/mcp-servers/{mcpServerID}/enabled-by-default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled_by_default": true
}
'import requests
url = "https://api.runaether.dev/v1/mcp-servers/{mcpServerID}/enabled-by-default"
payload = { "enabled_by_default": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled_by_default: true})
};
fetch('https://api.runaether.dev/v1/mcp-servers/{mcpServerID}/enabled-by-default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcp_server": {
"auth": "none",
"connection_kind": "static_secret",
"created_at": "2023-11-07T05:31:56Z",
"default_credential_policy": "creator",
"display_name": "<string>",
"enabled_by_default": true,
"headers": {},
"homepage": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"kind": "http",
"plugin_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"secret_names": [
"<string>"
],
"source": "manual",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "mcp_server_key_invalid",
"error": "<string>"
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Set whether every project uses an MCP server
True enables the server on every current project of the organization that does not enable it, with its default credential policy, and on every project created later. False deletes every project’s enablement, and no project enables it (enableProjectMcpServer refuses with mcp_server_switched_off) until it is set true again. A server a plugin bundles is refused with mcp_server_plugin_bundled: it follows its plugin.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
True: the server is enabled on every current project that does not enable it, with its default credential policy, and on every project created later. False: every project's enablement is deleted, and no project enables it until it is true again.
Response
OK
- Option 1
- Option 2
Show child attributes
Show child attributes